strlen_user
Prev | User Space Memory Access | Next

## Name

strlen_user — Get the size of a string in user space.

## Synopsis

`strlen_user (` |  | str`)`;

## Arguments

`str`

  The string to measure.

## Context

User context only. This function may sleep.

## Description

Get the size of a NUL-terminated string in user space.

Returns the size of the string INCLUDING the terminating NUL. On exception, returns 0.

If there is a limit on the length of a valid string, you may wish to consider using `strnlen_user` instead.

Prev | Up | Next
__copy_from_user | Home | __strncpy_from_user